Hide or unhide a comment on the platform
curl --request POST \
--url https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}/hide \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hidden": true
}'import requests
url = "https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}/hide"
payload = { "hidden": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hidden: true})
};
fetch('https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}/hide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": {
"id": "<string>",
"hidden": true
},
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "Idempotency-Key header is required",
"code": "idempotency_key_required"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "reply_not_sent",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}Inbox
Hide or unhide a comment on the platform
⚠️ Live action - hides or shows a real comment on the live social platform on production.
Supported on Threads, Facebook and Instagram; other platforms give 400 not_supported. Platform refusal gives 502 hide_failed.
Required role: editor.
POST
/
inbox
/
comments
/
{id}
/
hide
Hide or unhide a comment on the platform
curl --request POST \
--url https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}/hide \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hidden": true
}'import requests
url = "https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}/hide"
payload = { "hidden": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hidden: true})
};
fetch('https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}/hide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": {
"id": "<string>",
"hidden": true
},
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "Idempotency-Key header is required",
"code": "idempotency_key_required"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "reply_not_sent",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}
